#
# Conditional build:
%bcond_without	apidocs	# API documentation

Summary:	A menu system for the Cinnamon desktop
Summary(pl.UTF-8):	System menu dla środowiska Cinnamon
Name:		cinnamon-menus
Version:	6.0.0
Release:	1
License:	LGPL v2+
Group:		Libraries
#Source0Download: https://github.com/linuxmint/cinnamon-menus/tags
Source0:	https://github.com/linuxmint/cinnamon-menus/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	9e10b0e9839e83e3b1264366c565340b
URL:		https://github.com/linuxmint/cinnamon
BuildRequires:	glib2-devel >= 1:2.30
BuildRequires:	gobject-introspection-devel >= 0.9.5
%{?with_apidocs:BuildRequires:	gtk-doc}
BuildRequires:	meson >= 0.56.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
Requires:	glib2 >= 1:2.30
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
cinnamon-menus is an implementation of the draft "Desktop Menu
Specification" from freedesktop.org.

%description -l pl.UTF-8
cinnamon-menus to implementacja szkicu "Desktop Menu Specification" z
freedesktop.org.

%package devel
Summary:	Header files for cinnamon-menu library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki cinnamon-menu
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.30

%description devel
This package provides the necessary header files for writing
applications that use the Cinnamon menu system.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do tworzenia aplikacji
wykorzystujących system menu Cinnamon.

%package apidocs
Summary:	API documentation for Cinnamon menu library
Summary(pl.UTF-8):	Dokumentacja API biblioteki Cinnamon menu
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for Cinnamon menu library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki Cinnamon menu.

%prep
%setup -q

%build
%meson build \
	--default-library=shared \
	%{!?debug:-Denable_debug=false} \
	%{?with_apidocs:-Denable_docs=true}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/libcinnamon-menu-3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcinnamon-menu-3.so.0
%{_libdir}/girepository-1.0/CMenu-3.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcinnamon-menu-3.so
%{_includedir}/cinnamon-menus-3.0
%{_datadir}/gir-1.0/CMenu-3.0.gir
%{_pkgconfigdir}/libcinnamon-menu-3.0.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/cmenu
%endif
%changelog
* Tue Apr 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cinnamon-menus.git;a=log;h=master

* Tue Apr 30 2024 Jakub Bogusz <qboosh@pld-linux.org> 0f031eb
- updated to 6.0.0

* Tue Jun 13 2023 Jakub Bogusz <qboosh@pld-linux.org> 247600f
- updated to 5.8.0

* Sun Aug 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 69714b8
- updated to 5.0.0

* Sun Aug 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 94999b5
- updated to 4.8.3
- noarch apidocs

* Fri May 15 2020 Jakub Bogusz <qboosh@pld-linux.org> eb05093
- updated to 4.6.0

* Wed Apr 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 1a33468
- updated to 4.4.0

* Sun Jul 30 2017 Jakub Bogusz <qboosh@pld-linux.org> 6ba6582
- updated to 3.4.0

* Tue Mar 24 2015 Elan Ruusamäe <glen@delfi.ee> 65873e2
- cleanup BR

* Tue Mar 24 2015 Elan Ruusamäe <glen@delfi.ee> 95c132b
- up to 2.4.1

* Tue Mar 24 2015 Elan Ruusamäe <glen@delfi.ee> 98818a7
- new, version 2.4.0

